package com.yeejoin.amos.boot.module.statistics.api.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum UnitCategoryEnum {

    use("使用单位", "use","use"),   // 企业和个人主体
    produce("生产单位", "produce","license"),   // 设计单位、制造单位、安装改造维修单位
    filling("充装单位", "filling","license"),   // 充装单位
    inspection("检验机构", "inspection","license"),   // 检验机构
    detection("检测机构", "detection","license");   // 检测机构
    private final String name;
    private final String code;
    private final String type;
}
